diff --git a/src/providers/ldap/sdap_async.c b/src/providers/ldap/sdap_async.c
index 09275dd..8c0dfe3 100644
--- a/src/providers/ldap/sdap_async.c
+++ b/src/providers/ldap/sdap_async.c
@@ -32,7 +32,7 @@ void make_realm_upper_case(const char *upn)
 
     c = strchr(upn, REALM_SEPARATOR);
     if (c == NULL) {
-        DEBUG(9, ("No realm delimiter found in upn [%s].\n", upn));
+        DEBUG(9, "No realm delimiter found in upn [%s].\n", upn);
         return;
     }
 
@@ -99,10 +99,10 @@ static void sdap_handle_release(struct sdap_handle *sh)
 {
     struct sdap_op *op;
 
-    DEBUG(8, ("Trace: sh[%p], connected[%d], ops[%p], ldap[%p], "
+    DEBUG(8, "Trace: sh[%p], connected[%d], ops[%p], ldap[%p], "
               "destructor_lock[%d], release_memory[%d]\n",
               sh, (int)sh->connected, sh->ops, sh->ldap,
-              (int)sh->destructor_lock, (int)sh->release_memory));
+              (int)sh->destructor_lock, (int)sh->release_memory);
 
     if (sh->destructor_lock) return;
     sh->destructor_lock = true;
@@ -167,11 +167,11 @@ static void sdap_process_result(struct tevent_context *ev, void *pvt)
     LDAPMessage *msg;
     int ret;
 
-    DEBUG(8, ("Trace: sh[%p], connected[%d], ops[%p], ldap[%p]\n",
-              sh, (int)sh->connected, sh->ops, sh->ldap));
+    DEBUG(8, "Trace: sh[%p], connected[%d], ops[%p], ldap[%p]\n",
+              sh, (int)sh->connected, sh->ops, sh->ldap);
 
     if (!sh->connected || !sh->ldap) {
-        DEBUG(2, ("ERROR: LDAP connection is not connected!\n"));
+        DEBUG(2, "ERROR: LDAP connection is not connected!\n");
         sdap_handle_release(sh);
         return;
     }
@@ -180,14 +180,14 @@ static void sdap_process_result(struct tevent_context *ev, void *pvt)
     if (ret == 0) {
         /* this almost always means we have reached the end of
          * the list of received messages */
-        DEBUG(8, ("Trace: ldap_result found nothing!\n"));
+        DEBUG(8, "Trace: ldap_result found nothing!\n");
         return;
     }
 
     if (ret == -1) {
         ldap_get_option(sh->ldap, LDAP_OPT_RESULT_CODE, &ret);
         DEBUG(SSSDBG_OP_FAILURE,
-              ("ldap_result error: [%s]\n", ldap_err2string(ret)));
+              "ldap_result error: [%s]\n", ldap_err2string(ret));
         sdap_handle_release(sh);
         return;
     }
@@ -202,7 +202,7 @@ static void sdap_process_result(struct tevent_context *ev, void *pvt)
 
     te = tevent_add_timer(ev, sh, no_timeout, sdap_ldap_next_result, sh);
     if (!te) {
-        DEBUG(1, ("Failed to add critical timer to fetch next result!\n"));
+        DEBUG(1, "Failed to add critical timer to fetch next result!\n");
     }
 
     /* now process this message */
@@ -280,7 +280,7 @@ static void sdap_process_message(struct tevent_context *ev,
 
     msgid = ldap_msgid(msg);
     if (msgid == -1) {
-        DEBUG(2, ("can't fire callback, message id invalid!\n"));
+        DEBUG(2, "can't fire callback, message id invalid!\n");
         ldap_msgfree(msg);
         return;
     }
@@ -292,20 +292,20 @@ static void sdap_process_message(struct tevent_context *ev,
     }
 
     if (op == NULL) {
-        DEBUG(2, ("Unmatched msgid, discarding message (type: %0x)\n",
-                  msgtype));
+        DEBUG(2, "Unmatched msgid, discarding message (type: %0x)\n",
+                  msgtype);
         ldap_msgfree(msg);
         return;
     }
 
     /* shouldn't happen */
     if (op->done) {
-        DEBUG(2, ("Operation [%p] already handled (type: %0x)\n", op, msgtype));
+        DEBUG(2, "Operation [%p] already handled (type: %0x)\n", op, msgtype);
         ldap_msgfree(msg);
         return;
     }
 
-    DEBUG(9, ("Message type: [%s]\n", sdap_ldap_result_str(msgtype)));
+    DEBUG(9, "Message type: [%s]\n", sdap_ldap_result_str(msgtype));
 
     switch (msgtype) {
     case LDAP_RES_SEARCH_ENTRY:
@@ -333,7 +333,7 @@ static void sdap_process_message(struct tevent_context *ev,
 
     default:
         /* unkwon msg type ?? */
-        DEBUG(1, ("Couldn't figure out the msg type! [%0x]\n", msgtype));
+        DEBUG(1, "Couldn't figure out the msg type! [%0x]\n", msgtype);
         ldap_msgfree(msg);
         return;
     }
@@ -394,7 +394,7 @@ static void sdap_unlock_next_reply(struct sdap_op *op)
         te = tevent_add_timer(op->ev, op, tv,
                               sdap_process_next_reply, op);
         if (!te) {
-            DEBUG(1, ("Failed to add critical timer for next reply!\n"));
+            DEBUG(1, "Failed to add critical timer for next reply!\n");
             op->callback(op, NULL, EFAULT, op->data);
         }
     }
@@ -434,7 +434,7 @@ static void sdap_op_timeout(struct tevent_req *req)
 
     /* should never happen, but just in case */
     if (op->done) {
-        DEBUG(2, ("Timeout happened after op was finished !?\n"));
+        DEBUG(2, "Timeout happened after op was finished !?\n");
         return;
     }
 
@@ -522,7 +522,7 @@ struct tevent_req *sdap_exop_modify_passwd_send(TALLOC_CTX *memctx,
 
     ber = ber_alloc_t( LBER_USE_DER );
     if (ber == NULL) {
-        DEBUG(7, ("ber_alloc_t failed.\n"));
+        DEBUG(7, "ber_alloc_t failed.\n");
         talloc_zfree(req);
         return NULL;
     }
@@ -532,7 +532,7 @@ struct tevent_req *sdap_exop_modify_passwd_send(TALLOC_CTX *memctx,
                      LDAP_TAG_EXOP_MODIFY_PASSWD_OLD, password,
                      LDAP_TAG_EXOP_MODIFY_PASSWD_NEW, new_password);
     if (ret == -1) {
-        DEBUG(1, ("ber_printf failed.\n"));
+        DEBUG(1, "ber_printf failed.\n");
         ber_free(ber, 1);
         talloc_zfree(req);
         return NULL;
@@ -541,7 +541,7 @@ struct tevent_req *sdap_exop_modify_passwd_send(TALLOC_CTX *memctx,
     ret = ber_flatten(ber, &bv);
     ber_free(ber, 1);
     if (ret == -1) {
-        DEBUG(1, ("ber_flatten failed.\n"));
+        DEBUG(1, "ber_flatten failed.\n");
         talloc_zfree(req);
         return NULL;
     }
@@ -549,31 +549,31 @@ struct tevent_req *sdap_exop_modify_passwd_send(TALLOC_CTX *memctx,
     ret = sdap_control_create(state->sh, LDAP_CONTROL_PASSWORDPOLICYREQUEST,
                               0, NULL, 0, &ctrls[0]);
     if (ret != LDAP_SUCCESS && ret != LDAP_NOT_SUPPORTED) {
-        DEBUG(1, ("sdap_control_create failed to create "
-                  "Password Policy control.\n"));
+        DEBUG(1, "sdap_control_create failed to create "
+                  "Password Policy control.\n");
         ret = ERR_INTERNAL;
         goto fail;
     }
     request_controls = ctrls;
 
-    DEBUG(4, ("Executing extended operation\n"));
+    DEBUG(4, "Executing extended operation\n");
 
     ret = ldap_extended_operation(state->sh->ldap, LDAP_EXOP_MODIFY_PASSWD,
                                   bv, request_controls, NULL, &msgid);
     ber_bvfree(bv);
     if (ctrls[0]) ldap_control_free(ctrls[0]);
     if (ret == -1 || msgid == -1) {
-        DEBUG(1, ("ldap_extended_operation failed\n"));
+        DEBUG(1, "ldap_extended_operation failed\n");
         ret = ERR_NETWORK_IO;
         goto fail;
     }
-    DEBUG(8, ("ldap_extended_operation sent, msgid = %d\n", msgid));
+    DEBUG(8, "ldap_extended_operation sent, msgid = %d\n", msgid);
 
     /* FIXME: get timeouts from configuration, for now 5 secs. */
     ret = sdap_op_add(state, ev, state->sh, msgid,
                       sdap_exop_modify_passwd_done, req, 5, &state->op);
     if (ret) {
-        DEBUG(1, ("Failed to set up operation!\n"));
+        DEBUG(1, "Failed to set up operation!\n");
         ret = ERR_INTERNAL;
         goto fail;
     }
@@ -611,17 +611,17 @@ static void sdap_exop_modify_passwd_done(struct sdap_op *op,
                             &result, NULL, &errmsg, NULL,
                             &response_controls, 0);
     if (ret != LDAP_SUCCESS) {
-        DEBUG(2, ("ldap_parse_result failed (%d)\n", state->op->msgid));
+        DEBUG(2, "ldap_parse_result failed (%d)\n", state->op->msgid);
         ret = ERR_INTERNAL;
         goto done;
     }
 
     if (response_controls == NULL) {
-        DEBUG(5, ("Server returned no controls.\n"));
+        DEBUG(5, "Server returned no controls.\n");
     } else {
         for (c = 0; response_controls[c] != NULL; c++) {
-            DEBUG(9, ("Server returned control [%s].\n",
-                      response_controls[c]->ldctl_oid));
+            DEBUG(9, "Server returned control [%s].\n",
+                      response_controls[c]->ldctl_oid);
             if (strcmp(response_controls[c]->ldctl_oid,
                        LDAP_CONTROL_PASSWORDPOLICYRESPONSE) == 0) {
                 ret = ldap_parse_passwordpolicy_control(state->sh->ldap,
@@ -629,20 +629,20 @@ static void sdap_exop_modify_passwd_done(struct sdap_op *op,
                                                         &pp_expire, &pp_grace,
                                                         &pp_error);
                 if (ret != LDAP_SUCCESS) {
-                    DEBUG(1, ("ldap_parse_passwordpolicy_control failed.\n"));
+                    DEBUG(1, "ldap_parse_passwordpolicy_control failed.\n");
                     ret = ERR_NETWORK_IO;
                     goto done;
                 }
 
-                DEBUG(7, ("Password Policy Response: expire [%d] grace [%d] "
+                DEBUG(7, "Password Policy Response: expire [%d] grace [%d] "
                           "error [%s].\n", pp_expire, pp_grace,
-                          ldap_passwordpolicy_err2txt(pp_error)));
+                          ldap_passwordpolicy_err2txt(pp_error));
             }
         }
     }
 
-    DEBUG(3, ("ldap_extended_operation result: %s(%d), %s\n",
-            sss_ldap_err2string(result), result, errmsg));
+    DEBUG(3, "ldap_extended_operation result: %s(%d), %s\n",
+            sss_ldap_err2string(result), result, errmsg);
 
     switch (result) {
     case LDAP_SUCCESS:
@@ -652,7 +652,7 @@ static void sdap_exop_modify_passwd_done(struct sdap_op *op,
         state->user_error_message = talloc_strdup(state,
             "Please make sure the password meets the complexity constraints.");
         if (state->user_error_message == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup failed\n");
             ret = ENOMEM;
             goto done;
         }
@@ -663,7 +663,7 @@ static void sdap_exop_modify_passwd_done(struct sdap_op *op,
         if (errmsg) {
             state->user_error_message = talloc_strdup(state, errmsg);
             if (state->user_error_message == NULL) {
-                DEBUG(1, ("talloc_strdup failed.\n"));
+                DEBUG(1, "talloc_strdup failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -762,14 +762,14 @@ sdap_modify_shadow_lastchange_send(TALLOC_CTX *mem_ctx,
     ret = ldap_modify_ext(state->sh->ldap, state->dn, state->mods,
             NULL, NULL, &msgid);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to send operation!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to send operation!\n");
         goto done;
     }
 
     ret = sdap_op_add(state, state->ev, state->sh, msgid,
             sdap_modify_shadow_lastchange_done, req, 5, &state->op);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to set up operation!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to set up operation!\n");
         goto done;
     }
 
@@ -802,15 +802,15 @@ static void sdap_modify_shadow_lastchange_done(struct sdap_op *op,
                             &result, NULL, &errmsg, NULL,
                             NULL, 0);
     if (lret != LDAP_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldap_parse_result failed (%d)\n",
-                                  state->op->msgid));
+        DEBUG(SSSDBG_OP_FAILURE, "ldap_parse_result failed (%d)\n",
+                                  state->op->msgid);
         ret = EIO;
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("Updating lastPwdChange result: %s(%d), %s\n",
+    DEBUG(SSSDBG_TRACE_LIBS, "Updating lastPwdChange result: %s(%d), %s\n",
                               sss_ldap_err2string(result),
-                              result, errmsg));
+                              result, errmsg);
 
 done:
     ldap_memfree(errmsg);
@@ -865,7 +865,7 @@ struct tevent_req *sdap_get_rootdse_send(TALLOC_CTX *memctx,
             NULL
     };
 
-    DEBUG(9, ("Getting rootdse\n"));
+    DEBUG(9, "Getting rootdse\n");
 
     req = tevent_req_create(memctx, &state, struct sdap_get_rootdse_state);
     if (!req) return NULL;
@@ -915,15 +915,15 @@ static void sdap_get_rootdse_done(struct tevent_req *subreq)
     }
 
     if (num_results == 0 || !results) {
-        DEBUG(2, ("RootDSE could not be retrieved. "
+        DEBUG(2, "RootDSE could not be retrieved. "
                   "Please check that anonymous access to RootDSE is allowed\n"
-              ));
+              );
         tevent_req_error(req, ENOENT);
         return;
     }
 
     if (num_results > 1) {
-        DEBUG(2, ("Multiple replies when searching for RootDSE ??\n"));
+        DEBUG(2, "Multiple replies when searching for RootDSE ??\n");
         tevent_req_error(req, EIO);
         return;
     }
@@ -931,7 +931,7 @@ static void sdap_get_rootdse_done(struct tevent_req *subreq)
     state->rootdse = talloc_steal(state, results[0]);
     talloc_zfree(results);
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Got rootdse\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Got rootdse\n");
 
     /* Auto-detect the ldap matching rule if requested */
     if ((!dp_opt_get_bool(state->opts->basic,
@@ -943,13 +943,13 @@ static void sdap_get_rootdse_done(struct tevent_req *subreq)
          * lookup.
          */
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Skipping auto-detection of match rule\n"));
+              "Skipping auto-detection of match rule\n");
         tevent_req_done(req);
         return;
     }
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("Auto-detecting support for match rule\n"));
+          "Auto-detecting support for match rule\n");
 
     /* Create a filter using the matching rule. It need not point
      * at any valid data. We're only going to be looking for the
@@ -996,16 +996,16 @@ static void sdap_get_matching_rule_done(struct tevent_req *subreq)
         state->opts->support_matching_rule = false;
     } else {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Unexpected error while testing for matching rule support\n"));
+              "Unexpected error while testing for matching rule support\n");
         tevent_req_error(req, ret);
         return;
     }
 
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("LDAP server %s the matching rule extension\n",
+          "LDAP server %s the matching rule extension\n",
           state->opts->support_matching_rule
               ? "supports"
-              : "does not support"));
+              : "does not support");
 
     tevent_req_done(req);
 }
@@ -1041,7 +1041,7 @@ static errno_t add_to_reply(TALLOC_CTX *mem_ctx,
                                        struct sysdb_attrs *,
                                        sreply->reply_max);
         if (sreply->reply == NULL) {
-            DEBUG(1, ("talloc_realloc failed.\n"));
+            DEBUG(1, "talloc_realloc failed.\n");
             return ENOMEM;
         }
     }
@@ -1074,7 +1074,7 @@ static errno_t add_to_deref_reply(TALLOC_CTX *mem_ctx,
                                         struct sdap_deref_attrs *,
                                         dreply->reply_max);
             if (dreply->reply == NULL) {
-                DEBUG(1, ("talloc_realloc failed.\n"));
+                DEBUG(1, "talloc_realloc failed.\n");
                 return ENOMEM;
             }
         }
@@ -1244,15 +1244,15 @@ static errno_t sdap_get_generic_ext_step(struct tevent_req *req)
     talloc_zfree(state->op);
 
     DEBUG(SSSDBG_TRACE_FUNC,
-         ("calling ldap_search_ext with [%s][%s].\n",
+         "calling ldap_search_ext with [%s][%s].\n",
           state->filter ? state->filter : "no filter",
-          state->search_base));
+          state->search_base);
     if (DEBUG_IS_SET(SSSDBG_TRACE_LIBS)) {
         int i;
 
         if (state->attrs) {
             for (i = 0; state->attrs[i]; i++) {
-                DEBUG(7, ("Requesting attrs: [%s]\n", state->attrs[i]));
+                DEBUG(7, "Requesting attrs: [%s]\n", state->attrs[i]);
             }
         }
     }
@@ -1286,13 +1286,13 @@ static errno_t sdap_get_generic_ext_step(struct tevent_req *req)
     ldap_control_free(page_control);
     state->serverctrls[state->nserverctrls] = NULL;
     if (lret != LDAP_SUCCESS) {
-        DEBUG(3, ("ldap_search_ext failed: %s\n", sss_ldap_err2string(lret)));
+        DEBUG(3, "ldap_search_ext failed: %s\n", sss_ldap_err2string(lret));
         if (lret == LDAP_SERVER_DOWN) {
             ret = ETIMEDOUT;
             optret = sss_ldap_get_diagnostic_msg(state, state->sh->ldap,
                                                  &errmsg);
             if (optret == LDAP_SUCCESS) {
-                DEBUG(3, ("Connection error: %s\n", errmsg));
+                DEBUG(3, "Connection error: %s\n", errmsg);
                 sss_log(SSS_LOG_ERR, "LDAP connection error: %s", errmsg);
             }
             else {
@@ -1306,14 +1306,14 @@ static errno_t sdap_get_generic_ext_step(struct tevent_req *req)
         }
         goto done;
     }
-    DEBUG(8, ("ldap_search_ext called, msgid = %d\n", msgid));
+    DEBUG(8, "ldap_search_ext called, msgid = %d\n", msgid);
 
     ret = sdap_op_add(state, state->ev, state->sh, msgid,
                       sdap_get_generic_ext_done, req,
                       state->timeout,
                       &state->op);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to set up operation!\n"));
+        DEBUG(1, "Failed to set up operation!\n");
         goto done;
     }
 
@@ -1354,7 +1354,7 @@ static void sdap_get_generic_ext_done(struct sdap_op *op,
     case LDAP_RES_SEARCH_ENTRY:
         ret = state->parse_cb(state->sh, reply, state->cb_data);
         if (ret != EOK) {
-            DEBUG(1, ("reply parsing callback failed.\n"));
+            DEBUG(1, "reply parsing callback failed.\n");
             tevent_req_error(req, ret);
             return;
         }
@@ -1367,19 +1367,19 @@ static void sdap_get_generic_ext_done(struct sdap_op *op,
                                 &result, NULL, &errmsg, NULL,
                                 &returned_controls, 0);
         if (ret != LDAP_SUCCESS) {
-            DEBUG(2, ("ldap_parse_result failed (%d)\n", state->op->msgid));
+            DEBUG(2, "ldap_parse_result failed (%d)\n", state->op->msgid);
             tevent_req_error(req, EIO);
             return;
         }
 
-        DEBUG(6, ("Search result: %s(%d), %s\n",
+        DEBUG(6, "Search result: %s(%d), %s\n",
                   sss_ldap_err2string(result), result,
-                  errmsg ? errmsg : "no errmsg set"));
+                  errmsg ? errmsg : "no errmsg set");
 
         if (result == LDAP_SIZELIMIT_EXCEEDED) {
             /* Try to return what we've got */
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("LDAP sizelimit was exceeded, returning incomplete data\n"));
+                  "LDAP sizelimit was exceeded, returning incomplete data\n");
         } else if (result == LDAP_INAPPROPRIATE_MATCHING) {
             /* This error should only occur when we're testing for
              * specialized functionality like the ldap matching rule
@@ -1387,8 +1387,8 @@ static void sdap_get_generic_ext_done(struct sdap_op *op,
              * level and return EIO.
              */
             DEBUG(SSSDBG_TRACE_INTERNAL,
-                  ("LDAP_INAPPROPRIATE_MATCHING:  %s\n",
-                   errmsg ? errmsg : "no errmsg set"));
+                  "LDAP_INAPPROPRIATE_MATCHING:  %s\n",
+                   errmsg ? errmsg : "no errmsg set");
             ldap_memfree(errmsg);
             tevent_req_error(req, EIO);
             return;
@@ -1398,9 +1398,9 @@ static void sdap_get_generic_ext_done(struct sdap_op *op,
             return;
         } else if (result != LDAP_SUCCESS && result != LDAP_NO_SUCH_OBJECT) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Unexpected result from ldap: %s(%d), %s\n",
+                  "Unexpected result from ldap: %s(%d), %s\n",
                    sss_ldap_err2string(result), result,
-                   errmsg ? errmsg : "no errmsg set"));
+                   errmsg ? errmsg : "no errmsg set");
             ldap_memfree(errmsg);
             tevent_req_error(req, EIO);
             return;
@@ -1420,11 +1420,11 @@ static void sdap_get_generic_ext_done(struct sdap_op *op,
                                                &total_count, &cookie);
         ldap_controls_free(returned_controls);
         if (lret != LDAP_SUCCESS) {
-            DEBUG(1, ("Could not determine page control"));
+            DEBUG(1, "Could not determine page control");
             tevent_req_error(req, EIO);
             return;
         }
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Total count [%d]\n", total_count));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Total count [%d]\n", total_count);
 
         if (cookie.bv_val != NULL && cookie.bv_len > 0) {
             /* Cookie contains data, which means there are more requests
@@ -1538,14 +1538,14 @@ static errno_t sdap_get_generic_parse_entry(struct sdap_handle *sh,
                            state->map, state->map_num_attrs,
                            &attrs, NULL, disable_range_rtrvl);
     if (ret != EOK) {
-        DEBUG(3, ("sdap_parse_entry failed [%d]: %s\n", ret, strerror(ret)));
+        DEBUG(3, "sdap_parse_entry failed [%d]: %s\n", ret, strerror(ret));
         return ret;
     }
 
     ret = add_to_reply(state, &state->sreply, attrs);
     if (ret != EOK) {
         talloc_free(attrs);
-        DEBUG(1, ("add_to_reply failed.\n"));
+        DEBUG(1, "add_to_reply failed.\n");
         return ret;
     }
 
@@ -1562,8 +1562,8 @@ static void sdap_get_generic_done(struct tevent_req *subreq)
     ret = sdap_get_generic_ext_recv(subreq);
     talloc_zfree(subreq);
     if (ret) {
-        DEBUG(4, ("sdap_get_generic_ext_recv failed [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(4, "sdap_get_generic_ext_recv failed [%d]: %s\n",
+                  ret, strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -1639,12 +1639,12 @@ sdap_x_deref_search_send(TALLOC_CTX *memctx, struct tevent_context *ev,
     ret = sdap_x_deref_create_control(sh, deref_attr,
                                       attrs, &state->ctrls[0]);
     if (ret != EOK) {
-        DEBUG(1, ("Could not create OpenLDAP deref control\n"));
+        DEBUG(1, "Could not create OpenLDAP deref control\n");
         talloc_zfree(req);
         return NULL;
     }
 
-    DEBUG(6, ("Dereferencing entry [%s] using OpenLDAP deref\n", base_dn));
+    DEBUG(6, "Dereferencing entry [%s] using OpenLDAP deref\n", base_dn);
     subreq = sdap_get_generic_ext_send(state, ev, opts, sh, base_dn,
                                        LDAP_SCOPE_BASE, NULL, attrs,
                                        false, state->ctrls, NULL, 0, timeout,
@@ -1675,8 +1675,8 @@ static int sdap_x_deref_create_control(struct sdap_handle *sh,
 
     ret = ldap_create_deref_control_value(sh->ldap, ds, &derefval);
     if (ret != LDAP_SUCCESS) {
-        DEBUG(1, ("sss_ldap_control_create failed: %s\n",
-                  ldap_err2string(ret)));
+        DEBUG(1, "sss_ldap_control_create failed: %s\n",
+                  ldap_err2string(ret));
         return ret;
     }
 
@@ -1684,7 +1684,7 @@ static int sdap_x_deref_create_control(struct sdap_handle *sh,
                               1, &derefval, 1, ctrl);
     ldap_memfree(derefval.bv_val);
     if (ret != EOK) {
-        DEBUG(1, ("sss_ldap_control_create failed\n"));
+        DEBUG(1, "sss_ldap_control_create failed\n");
         return ret;
     }
 
@@ -1712,12 +1712,12 @@ static errno_t sdap_x_deref_parse_entry(struct sdap_handle *sh,
     ret = ldap_get_entry_controls(state->sh->ldap, msg->msg,
                                   &ctrls);
     if (ret != LDAP_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldap_parse_result failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ldap_parse_result failed\n");
         goto done;
     }
 
     if (!ctrls) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("No controls found for entry\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "No controls found for entry\n");
         ret = ENOENT;
         goto done;
     }
@@ -1726,20 +1726,20 @@ static errno_t sdap_x_deref_parse_entry(struct sdap_handle *sh,
 
     derefctrl = ldap_control_find(LDAP_CONTROL_X_DEREF, ctrls, NULL);
     if (!derefctrl) {
-        DEBUG(SSSDBG_FUNC_DATA, ("No deref controls found\n"));
+        DEBUG(SSSDBG_FUNC_DATA, "No deref controls found\n");
         ret = EOK;
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Got deref control\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Got deref control\n");
 
     ret = ldap_parse_derefresponse_control(state->sh->ldap,
                                             derefctrl,
                                             &deref_res);
     if (ret != LDAP_SUCCESS) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("ldap_parse_derefresponse_control failed: %s\n",
-               ldap_err2string(ret)));
+              "ldap_parse_derefresponse_control failed: %s\n",
+               ldap_err2string(ret));
         goto done;
     }
 
@@ -1747,21 +1747,21 @@ static errno_t sdap_x_deref_parse_entry(struct sdap_handle *sh,
         ret = sdap_parse_deref(tmp_ctx, state->maps, state->num_maps,
                                dref, &res);
         if (ret) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sdap_parse_deref failed [%d]: %s\n",
-                  ret, strerror(ret)));
+            DEBUG(SSSDBG_OP_FAILURE, "sdap_parse_deref failed [%d]: %s\n",
+                  ret, strerror(ret));
             goto done;
         }
 
         ret = add_to_deref_reply(state, state->num_maps,
                                     &state->dreply, res);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("add_to_deref_reply failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "add_to_deref_reply failed.\n");
             goto done;
         }
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("All deref results from a single control parsed\n"));
+          "All deref results from a single control parsed\n");
     ldap_derefresponse_free(deref_res);
     deref_res = NULL;
 
@@ -1782,8 +1782,8 @@ static void sdap_x_deref_search_done(struct tevent_req *subreq)
     ret = sdap_get_generic_ext_recv(subreq);
     talloc_zfree(subreq);
     if (ret) {
-        DEBUG(4, ("sdap_get_generic_ext_recv failed [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(4, "sdap_get_generic_ext_recv failed [%d]: %s\n",
+                  ret, strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -1867,11 +1867,11 @@ sdap_asq_search_send(TALLOC_CTX *memctx, struct tevent_context *ev,
     ret = sdap_asq_search_create_control(sh, deref_attr, &state->ctrls[0]);
     if (ret != EOK) {
         talloc_zfree(req);
-        DEBUG(1, ("Could not create ASQ control\n"));
+        DEBUG(1, "Could not create ASQ control\n");
         return NULL;
     }
 
-    DEBUG(6, ("Dereferencing entry [%s] using ASQ\n", base_dn));
+    DEBUG(6, "Dereferencing entry [%s] using ASQ\n", base_dn);
     subreq = sdap_get_generic_ext_send(state, ev, opts, sh, base_dn,
                                        LDAP_SCOPE_BASE, NULL, attrs,
                                        false, state->ctrls, NULL, 0, timeout,
@@ -1897,13 +1897,13 @@ static int sdap_asq_search_create_control(struct sdap_handle *sh,
 
     ber = ber_alloc_t(LBER_USE_DER);
     if (ber == NULL) {
-        DEBUG(2, ("ber_alloc_t failed.\n"));
+        DEBUG(2, "ber_alloc_t failed.\n");
         return ENOMEM;
     }
 
     ret = ber_printf(ber, "{s}", attr);
     if (ret == -1) {
-        DEBUG(2, ("ber_printf failed.\n"));
+        DEBUG(2, "ber_printf failed.\n");
         ber_free(ber, 1);
         return EIO;
     }
@@ -1911,14 +1911,14 @@ static int sdap_asq_search_create_control(struct sdap_handle *sh,
     ret = ber_flatten(ber, &asqval);
     ber_free(ber, 1);
     if (ret == -1) {
-        DEBUG(1, ("ber_flatten failed.\n"));
+        DEBUG(1, "ber_flatten failed.\n");
         return EIO;
     }
 
     ret = sdap_control_create(sh, LDAP_SERVER_ASQ_OID, 1, asqval, 1, ctrl);
     ber_bvfree(asqval);
     if (ret != EOK) {
-        DEBUG(1, ("sdap_control_create failed\n"));
+        DEBUG(1, "sdap_control_create failed\n");
         return ret;
     }
 
@@ -1980,7 +1980,7 @@ static errno_t sdap_asq_search_parse_entry(struct sdap_handle *sh,
     vals = ldap_get_values_len(sh->ldap, msg->msg, "objectClass");
     if (!vals) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Unknown entry type, no objectClass found for DN [%s]!\n", dn));
+              "Unknown entry type, no objectClass found for DN [%s]!\n", dn);
         ret = EINVAL;
         goto done;
     }
@@ -1992,8 +1992,8 @@ static errno_t sdap_asq_search_parse_entry(struct sdap_handle *sh,
                             vals[i]->bv_val, vals[i]->bv_len) == 0) {
                 /* it's an entry of the right type */
                 DEBUG(SSSDBG_TRACE_INTERNAL,
-                      ("Matched objectclass [%s] on DN [%s], will use associated map\n",
-                       state->maps[mi].map[0].name, dn));
+                      "Matched objectclass [%s] on DN [%s], will use associated map\n",
+                       state->maps[mi].map[0].name, dn);
                 map = state->maps[mi].map;
                 num_attrs = state->maps[mi].num_attrs;
                 break;
@@ -2001,8 +2001,8 @@ static errno_t sdap_asq_search_parse_entry(struct sdap_handle *sh,
         }
         if (!map) {
             DEBUG(SSSDBG_TRACE_INTERNAL,
-                  ("DN [%s] did not match the objectClass [%s]\n",
-                   dn, state->maps[mi].map[0].name));
+                  "DN [%s] did not match the objectClass [%s]\n",
+                   dn, state->maps[mi].map[0].name);
             continue;
         }
 
@@ -2013,7 +2013,7 @@ static errno_t sdap_asq_search_parse_entry(struct sdap_handle *sh,
                                map, num_attrs,
                                &res[mi]->attrs, NULL, disable_range_rtrvl);
         if (ret != EOK) {
-            DEBUG(3, ("sdap_parse_entry failed [%d]: %s\n", ret, strerror(ret)));
+            DEBUG(3, "sdap_parse_entry failed [%d]: %s\n", ret, strerror(ret));
             goto done;
         }
     }
@@ -2022,7 +2022,7 @@ static errno_t sdap_asq_search_parse_entry(struct sdap_handle *sh,
     ret = add_to_deref_reply(state, state->num_maps,
                              &state->dreply, res);
     if (ret != EOK) {
-        DEBUG(1, ("add_to_deref_reply failed.\n"));
+        DEBUG(1, "add_to_deref_reply failed.\n");
         goto done;
     }
 
@@ -2041,8 +2041,8 @@ static void sdap_asq_search_done(struct tevent_req *subreq)
     ret = sdap_get_generic_ext_recv(subreq);
     talloc_zfree(subreq);
     if (ret) {
-        DEBUG(4, ("sdap_get_generic_ext_recv failed [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(4, "sdap_get_generic_ext_recv failed [%d]: %s\n",
+                  ret, strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
